---
title: CSSMathMax
slug: Web/API/CSSMathMax
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathMax
  - CSSNumericValue
  - Experimental
  - Houdini
  - Interface
---
<div>{{draft}}{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p class="summary">The <strong><code>CSSMathMax</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the CSS {{CSSXref('max()','max()')}} function.  It inherits properties and methods from its parent {{domxref('CSSNumericValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSMathMax.CSSMathMax()")}}</dt>
 <dd>Creates a new <code>CSSMathMax</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSMathMax.values')}}{{ReadOnlyInline}}</dt>
 <dd>Returns a {{domxref('CSSNumericArray')}} object which contains one or more {{domxref('CSSNumericValue')}} objects.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>To do</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM')}}</td>
   <td>{{Spec2('CSS Typed OM','#cssmathmax','CSSMathMax')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathMax")}}</p>
